Summary: Popular Unix Irc client
Name: ircii
Version: 2.9
Release: 3
Copyright: distributable
Group: Applications/Communications
Source0: CS-PUB.bu.edu:/irc/clients/ircii-2.9-base.tar.gz
Patch0: ircii-2.9-config.diff
BuildRoot: /tmp/ircii-root

%description
One of the more popular text based IRC clients.

%prep 
%setup -n ircii-2.9
%patch0 -p1

%build
./configure --prefix=$RPM_BUILD_ROOT/usr
for i in `find . -name Makefile` ; do mv $i $i.build_root ; done
./configure --prefix=/usr
make all

%install
for i in `find . -name Makefile.build_root` ; do mv $i `dirname $i`/`basename $i .build_root` ; done
make install
ln -sf irc-2.9_base $RPM_BUILD_ROOT/usr/bin/irc
touch $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.ais.net" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc2.ais.net" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc3.ais.net" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.gate.net" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc2.epix.net" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc-2.mit.edu" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc-2.escape.com" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.texas.net" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.eskimo.com" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "us.undernet.org" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.linpeople.org" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
chmod 644 $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mv doc/*.1 $RPM_BUILD_ROOT/usr/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/*
/usr/bin/irc
/usr/bin/irc-2.9_base
/usr/bin/ircbug
/usr/bin/ircio
/usr/bin/ircflush
/usr/bin/wserv
%config /usr/lib/irc/ircII.servers
/usr/lib/irc/script
/usr/lib/irc/translation
/usr/lib/irc/help
/usr/man/man1/*

%changelog

* Fri Oct 31 1997 Pablo Saratxaga <srtxg@linux.chanae.stben.be>
- added BuildRoot.
- improved the installations of doc files (man pages go the right place)

